<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>myThermo &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>myThermo
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 2.2% of total for derived types.</p>Including implementation: 130 statements,  1.1% of total for derived types.">24 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/thermo.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/thermo.f03.html'>thermo.f03</a></li>
    
     <li><a href='../module/themo.html'>themo</a></li>
    
  
     <li class="active">myThermo</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/mythermo.html#variable-fluidmodel">fluidModel</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-suntherland">suntherland</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-beta">beta</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-t0">T0</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-p0">p0</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-rho0">rho0</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-as">As</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-ts">TS</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-b">B</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-r">R</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-gamma">gamma</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-adiabaticfluid">adiabaticFluid</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-boussinesq">boussinesq</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-compressibility">compressibility</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-incompressible">incompressible</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-incompressibleperfectgas">incompressiblePerfectGas</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-linear">linear</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-perfectgas">perfectGas</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-readthermoconstants">readThermoConstants</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-suntherlandlaw">suntherlandLaw</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-updatethermoproperties">updateThermoProperties</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public :: myThermo</h2>
    
    
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/mythermo.html#variable-fluidmodel">fluidModel</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-suntherland">suntherland</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-beta">beta</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-t0">T0</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-p0">p0</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-rho0">rho0</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-as">As</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-ts">TS</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-b">B</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-r">R</a>
      
      <a class="list-group-item" href="../type/mythermo.html#variable-gamma">gamma</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-adiabaticfluid">adiabaticFluid</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-boussinesq">boussinesq</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-compressibility">compressibility</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-incompressible">incompressible</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-incompressibleperfectgas">incompressiblePerfectGas</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-linear">linear</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-perfectgas">perfectGas</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-readthermoconstants">readThermoConstants</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-suntherlandlaw">suntherlandLaw</a>
      
      <a class="list-group-item" href="../type/mythermo.html#boundprocedure-updatethermoproperties">updateThermoProperties</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fluidmodel"></span>character,</td>
  
  <td>public,</td>
  <td>allocatable</td><td>::</td>
  <td><strong>fluidModel</strong></td><td></td><td></td><td><p>fluid model to use</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-suntherland"></span>character,</td>
  
  <td>public,</td>
  <td>allocatable</td><td>::</td>
  <td><strong>suntherland</strong></td><td></td><td></td><td><p>flag for suntherland law</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-beta"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>beta</strong></td><td></td><td></td><td><p>Dilatation coefficient</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-t0"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>T0</strong></td><td></td><td></td><td><p>Reference temperature</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-p0"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>p0</strong></td><td></td><td></td><td><p>Reference pressure</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-rho0"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>rho0</strong></td><td></td><td></td><td><p>Reference density</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-as"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>As</strong></td><td></td><td></td><td><p>suntherland law constant As</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ts"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>TS</strong></td><td></td><td></td><td><p>suntherland law constant Ts</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-b"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>B</strong></td><td></td><td></td><td><p>adaibatic fluid constant</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-r"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>R</strong></td><td></td><td></td><td><p>Gas constant</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gamma"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>gamma</strong></td><td></td><td></td><td><p>cv/cp</p></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-adiabaticfluid"></span><h3>procedure, public :: <strong>adiabaticFluid</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/adiabaticfluid.html'>adiabaticFluid</a>(this)
    
    
   
</h3>
    







<p>adiabaticFluid computes the density for an adiabatic perfect fluid.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-boussinesq"></span><h3>procedure, public :: <strong>boussinesq</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/boussinesq.html'>boussinesq</a>(this)
    
    
   
</h3>
    







<p>boussinesq computes the density according to the boussinesq appoximation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-compressibility"></span><h3>procedure, public :: <strong>compressibility</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public function <a href='../proc/compressibility.html'>compressibility</a>(this) result(psi)
    
    
   
</h3>
    







<p>psi computes and returns the cmpressibility.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>real
  (numberOfElements+numberOfBFaces)</small></h4>
  
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-incompressible"></span><h3>procedure, public :: <strong>incompressible</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/incompressible.html'>incompressible</a>(this)
    
    
   
</h3>
    







<p>incompressible fixes the density to a constant value</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-incompressibleperfectgas"></span><h3>procedure, public :: <strong>incompressiblePerfectGas</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/incompressibleperfectgas.html'>incompressiblePerfectGas</a>(this)
    
    
   
</h3>
    







<p>incompressiblePerfectGas computes the density for an incmpressible perfect gas.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-linear"></span><h3>procedure, public :: <strong>linear</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/linear.html'>linear</a>(this)
    
    
   
</h3>
    







<p>linear computes the density according to a linear relation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-perfectgas"></span><h3>procedure, public :: <strong>perfectGas</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/perfectgas.html'>perfectGas</a>(this)
    
    
   
</h3>
    







<p>perfectGas computes the density for a perfect gas.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readthermoconstants"></span><h3>procedure, public :: <strong>readThermoConstants</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readthermoconstants.html'>readThermoConstants</a>(this)
    
    
   
</h3>
    







<p>Read density, viscosity and other parameters from a file.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-suntherlandlaw"></span><h3>procedure, public :: <strong>suntherlandLaw</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/suntherlandlaw.html'>suntherlandLaw</a>(this)
    
    
   
</h3>
    







<p>sutherlandLaw computes the viscosity according to the suntherland law.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-updatethermoproperties"></span><h3>procedure, public :: <strong>updateThermoProperties</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/updatethermoproperties.html'>updateThermoProperties</a>(this)
    
    
   
</h3>
    







<p>updateThermoProperties updates desnity and viscosity accoding to the thermal model.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/mythermo.html'>myThermo</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>